Skip to main content
GET
List all AgentBots

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

Response

Success

id
number

ID of the agent bot

name
string

The name of the agent bot

description
string

The description about the agent bot

thumbnail
string

The thumbnail of the agent bot

outgoing_url
string

The webhook URL for the bot

bot_type
string

The type of the bot

bot_config
object

The configuration of the bot

account_id
number

Account ID if it's an account specific bot

access_token
string

The access token for the bot

system_bot
boolean

Whether the bot is a system bot